Bug 397913 - kate cli reverses order of files
Summary: kate cli reverses order of files
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: application (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2018-08-27 04:20 UTC by zeta
Modified: 2018-11-26 07:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zeta 2018-08-27 04:20:03 UTC
kate -s new-session a b c d

opens files d, c,b and a, with d as the active file.

This is really annoying when using kate with globbing. For example, using

kate -s tutorial how-to-step-*.txt

will open the last step as the active document.

I'm currently working around adding a

sort -r | xargs

best regards
Comment 1 Christoph Cullmann 2018-11-26 07:49:04 UTC
Git commit 1f01415ba33d58185ec80762f5eaa9451597c292 by Christoph Cullmann, on behalf of Guillermo Molteni.
Committed on 26/11/2018 at 07:48.
Pushed by cullmann into branch 'master'.

Don't reverse order of files opened from the command line

Summary:
When you do kate file1 file2 file3, it will open tabs
in same order, file1 file2 file3.
In case of having kate opened, invoking it again with
kate file4 file5 file6 final result on tabs shall be
file4 file5 file6 file1 file2 file3

Reviewers: cullmann

Reviewed By: cullmann

Subscribers: zetazeta, cullmann, brauch, kwrite-devel

Tags: #kate

Differential Revision: https://phabricator.kde.org/D17145

M  +4    -1    kate/kateapp.cpp
M  +3    -1    kate/main.cpp

https://commits.kde.org/kate/1f01415ba33d58185ec80762f5eaa9451597c292